Subject: bug#63850: cp fails for files > 2 GB if copy offload is unsupported

From: Paul Eggert <[email-masked]>
Date: Mon, 5 Jun 2023 21:48:34 -0700

On 2023-06-03 06:54, Mike Gilbert wrote:
> In this case, headers from linux-6.1 are being used at build time.
> However, the code is being run on a linux-4.19 kernel.

Gnulib doesn't support that. If you build with headers from a particular 
version of the operating system, you can't necessarily run on older 
versions. The reasons for this sort of restriction should be obvious.

If Gentoo builds are regularly targeting older kernels or libraries than 
the platform they are building on, then surely that's a problem in 
general, not just here.

I'll cc this to bug-gnulib to give them a heads-up about the issue. For 
gnulib readers, the original bug report is here:

https://bugs.gnu.org/63850